Subject: Re: F-15I
From: "Steve Bamford" <[email-masked]>
To: "Steve Bamford" <[email-masked]>
Date: Thu, 23 Nov 2000 02:05:15 -0800

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
----- Original Message -----
From: Steve Bamford <[email-masked]>
To: <[email-masked]>
Sent: Monday, November 20, 2000 5:12 PM
Subject: Fw: F-15I

>
> Steve Bamford
> Aircraft Resource Center
> http://www.aircraftresourcecenter.com
> ----- Original Message -----
> From: Drewe Manton <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, November 03, 2000 11:28 AM
> Subject: F-15I
>
>
> > Steve,
> >    Finally, some piccies that may be usable!  Sorry about the IM last
> night.
> > . . I got booted and seem unable to get AOLIM to play ball since!
> >
> >    Boeing F-15I Ra'am
> >    RM 1/48th modified.
> >    This is the Revell/Monogram F-15E built as an F-15I. The job isn't
too
> > difficult, the devil is very definitely in the details!  Major external
> > differences which I caught are the simple counterweights on both fintops
> > rather than just one as in the F-15E, the ECM  antenna pod on the port
fin
> > was removed and replaced with a piece of Contrail rod and sanded to
shape.
> > The small antenna on the tips of the booms are slightly different on the
> > Ra'am as well, both being rectangular, with one being orientated with
the
> > long side in the vertical and the other with the long side in the
> > horizontal. I knew about these differences but didn't have enough info
to
> do
> > anything about it at the time!  I've since learned the F-15I also has
> extra
> > chaff/flare dispensors under the tail booms. . ahh well!  All Israeli
> Eagles
> > also have the Turkey feathers on the F-100 exhausts in place. . someone
> was
> > generous enough to send me a spare set from a Hasegawa Eagle-probelm
> solved!
> >    My model has a Black Box resin interior installed, this set is a work
> of
> > art, with great definition and fabulous seats. . . fitting took a little
> > juggling and sanding but nothing beyond the realms of most average
> > modellers. The biggest problem I had with the set was that with the
> interior
> > of the F-15I being painted black, very little is visible!  Would look
> great
> > on one of the grey interiored USAF birds tho'. I'd generally recommend
> this
> > set, but wouldn't panic if you can't get hold of it- the interior in the
> kit
> > is actually pretty good as is anyway.
> >    General fit of the model is just great. . I used a little filler on
the
> > rear booms and a touch more on the lower joint between the front and
rear
> > fuselage, and that was about it save a little white glue run around
parts
> of
> > the CFT's to fill minor gaps. I was worried about the fit of the upper
> wings
> > and the unusual break point.  This concern turned out to be groundless,
> and
> > simply a light touch with the glue and a wiper over with steel wool made
> the
> > join look exactly like a panel line (which, in fact, it is!). The
moulded
> in
> > tailplanes were a dissapointment to me, but about a half hours work
> > seperated them and had some rod installed, along with some tube let into
> the
> > fuselage to match the rod. . . my tailplanes are a snug fit and could
move
> > if I was that way inclined. A simple job and one that helps the overall
> look
> > in my opinion, as well as helping with the application of the complex
> > Israeli camoflage.  I also cut and gently deflected the ailerons down. .
.
> > I've rarelt seen the flaps drooped on a parked Eagle, but the Ailerons
> > always seem to.
> >     My stores were a real mish mash. . the 500LB GBU-12 and 2000LB
GBU-10
> > Paveway II LGB's are from the latest Hasegawa weapons set (in fact, two
> sets
> > were needed for enough stores!), to give you an idea of the work
involved
> > these eleven bombs have, between them , some 180 decals applied! You
have
> to
> > REALLY want your Mudhen bpmbed up to stick this process out!  The
> AIM-120's
> > and launch rails are from SOL Models of Korea and are resin. . . these
are
> > quite spectacular when made up and are very highly recommended.  The
> Python
> > 4 SRAAM's are from Eagle designs, and were, frankly, a dissapointment,
> with
> > many air holes and distorted fins to deal with. . I had two sets of
them,
> > and was just about able to make one good pair. Great looking missile
tho'!
> >     All paints were from Humbrol, and I used my usual Blu-Tack masking
> > method for the camoflage. Although the green (34424) is generally
accepted
> > to be close to RAF Sky in colour, pictures had convinced me it was
> actually
> > greener than this, so I took a pot of Humbrol  #90 Sky and added about
30%
> > Humbrol #120 (34227) to it to shift it ore towards the green. . the
result
> > looks good to me.  The wash is my usual dark grey oil paint scrubbed
into
> > the lines and the excess removed with plenty of fresh kitchen towel.
> Decals
> > are from Sky's, a new Israeli company, and went over a couple coats of
> > Future with no problems whatsoever. Final coat is Tamiya clear mixed
with
> > Flat base.
> >    This is a great looking Eagle, certainly one of the best colour
schemes
> > the aircraft wears in my opinion, and it has garnered plenty of comment
> > wherever I've shown it. Certainly makes a change from endless Gunship
Grey
> > ones anyhow!  Now. . how about a Saudi F-15S?
> >    Thanks to:-
> > ARC for the review model
> > Mike Kirchoff for the BB interior
> > Pete Tasker for the exhausts
> > Paul Cotcher for the timely supply of the Pythons
> > Everyone at ARC for their patience. . I know you've been waiting forever
> > guys but hey, better late then never eh?
> >
> > Drewe Manton
> >
> >
>